<?php
declare(strict_types=1);

namespace CakeProducts\Model\Entity;

use Cake\I18n\DateTime;
use Cake\ORM\Entity;

/**
 * ProductCatalog Entity
 *
 * @property string $id
 * @property string $name
 * @property string|null $catalog_description
 * @property bool $enabled
 * @property DateTime|null $deleted
 *
 * @property ProductCategory[] $product_categories
 * @property ExternalProductCatalog[] $external_product_catalogs
 */
class ProductCatalog extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected array $_accessible = [
        'name' => true,
        'catalog_description' => true,
        'enabled' => true,
        'deleted' => true,
        // entities
        'product_categories' => true,
        'external_product_catalogs' => true,
    ];
}
