<?php
declare(strict_types=1);

namespace CakeProducts\Model\Entity;

use Cake\ORM\Entity;

/**
 * ProductCategoryVariantOption Entity
 *
 * @property string $id
 * @property string $product_category_variant_id
 * @property string $variant_value
 * @property \Cake\I18n\DateTime $created
 * @property \Cake\I18n\DateTime $modified
 * @property \Cake\I18n\DateTime|null $deleted
 *
 * @property \App\Model\Entity\ProductCategoryVariant $product_category_variant
 */
class ProductCategoryVariantOption extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected array $_accessible = [
        'product_category_variant_id' => true,
        'variant_value' => true,
        'created' => true,
        'modified' => true,
        'deleted' => true,
        // entities
        'product_category_variant' => false,
    ];
}
