<?php
/**
 * @var \App\View\AppView $this
 * @var iterable<\App\Model\Entity\ProductCategoryVariant> $productCategoryVariants
 */
?>
<div class="productCategoryVariants index content">
    <?= $this->Html->link(__('New Product Category Variant'), ['action' => 'add'], ['class' => 'button float-right']) ?>
    <h3><?= __('Product Category Variants') ?></h3>
    <div class="table-responsive" id="table-container">
        <table>
            <thead>
                <tr>
                    <th><?= $this->Paginator->sort('id') ?></th>
                    <th><?= $this->Paginator->sort('name') ?></th>
                    <th><?= $this->Paginator->sort('product_category_id') ?></th>
                    <th><?= $this->Paginator->sort('product_id') ?></th>
                    <th><?= $this->Paginator->sort('attribute_type_id') ?></th>
                    <th><?= $this->Paginator->sort('enabled') ?></th>
                    <th class="actions"><?= __('Actions') ?></th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($productCategoryVariants as $productCategoryVariant): ?>
                <tr>
                    <td><?= h($productCategoryVariant->id) ?></td>
                    <td><?= h($productCategoryVariant->name) ?></td>
                    <td><?= $productCategoryVariant->hasValue('product_category') ? $this->Html->link($productCategoryVariant->product_category->name, ['controller' => 'ProductCategories', 'action' => 'view', $productCategoryVariant->product_category->id]) : '' ?></td>
                    <td><?= $productCategoryVariant->hasValue('product') ? $this->Html->link($productCategoryVariant->product->name, ['controller' => 'Products', 'action' => 'view', $productCategoryVariant->product->id]) : '' ?></td>
                    <td><?= $this->Number->format($productCategoryVariant->attribute_type_id) ?></td>
                    <td><?= h($productCategoryVariant->enabled) ?></td>
                    <td class="actions">
                        <?= $this->Html->link(__('View'), ['action' => 'view', $productCategoryVariant->id]) ?>
                        <?= $this->Html->link(__('Edit'), ['action' => 'edit', $productCategoryVariant->id]) ?>
                        <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $productCategoryVariant->id], ['confirm' => __('Are you sure you want to delete # {0}?', $productCategoryVariant->id)]) ?>
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(__('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')) ?></p>
    </div>
</div>
