<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\ProductCategoryVariant $productCategoryVariant
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Html->link(__('Edit Product Category Variant'), ['action' => 'edit', $productCategoryVariant->id], ['class' => 'side-nav-item']) ?>
            <?= $this->Form->postLink(__('Delete Product Category Variant'), ['action' => 'delete', $productCategoryVariant->id], ['confirm' => __('Are you sure you want to delete # {0}?', $productCategoryVariant->id), 'class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('List Product Category Variants'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('New Product Category Variant'), ['action' => 'add'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column column-80">
        <div class="productCategoryVariants view content">
            <h3><?= h($productCategoryVariant->name) ?></h3>
            <table>
                <tr>
                    <th><?= __('Id') ?></th>
                    <td><?= h($productCategoryVariant->id) ?></td>
                </tr>
                <tr>
                    <th><?= __('Name') ?></th>
                    <td><?= h($productCategoryVariant->name) ?></td>
                </tr>
                <tr>
                    <th><?= __('Product Category') ?></th>
                    <td><?= $productCategoryVariant->hasValue('product_category') ? $this->Html->link($productCategoryVariant->product_category->name, ['controller' => 'ProductCategories', 'action' => 'view', $productCategoryVariant->product_category->id]) : '' ?></td>
                </tr>
                <tr>
                    <th><?= __('Product') ?></th>
                    <td><?= $productCategoryVariant->hasValue('product') ? $this->Html->link($productCategoryVariant->product->name, ['controller' => 'Products', 'action' => 'view', $productCategoryVariant->product->id]) : '' ?></td>
                </tr>
                <tr>
                    <th><?= __('Attribute Type Id') ?></th>
                    <td><?= $this->Number->format($productCategoryVariant->attribute_type_id) ?></td>
                </tr>
                <tr>
                    <th><?= __('Enabled') ?></th>
                    <td><?= $productCategoryVariant->enabled ? __('Yes') : __('No'); ?></td>
                </tr>
            </table>
            <div class="related">
                <h4><?= __('Related Product Category Variant Options') ?></h4>
                <?php if (!empty($productCategoryVariant->product_category_variant_options)) : ?>
                    <div class="table-responsive">
                        <table>
                            <tr>
                                <th><?= __('Variant Value') ?></th>
                                <th><?= __('Variant Label') ?></th>
                                <th><?= __('Enabled') ?></th>
                                <th class="actions"><?= __('Actions') ?></th>
                            </tr>
                            <?php foreach ($productCategoryVariant->product_category_variant_options as $productCategoryVariantOption) : ?>
                                <tr>
                                    <td><?= h($productCategoryVariantOption->variant_value) ?></td>
                                    <td><?= h($productCategoryVariantOption->variant_label) ?></td>
                                    <td><?= h($productCategoryVariantOption->enabled) ?></td>
                                    <td class="actions">
                                        <?= $this->Html->link(__('View'), ['controller' => 'ProductCategoryVariantOptions', 'action' => 'view', $productCategoryVariantOption->id]) ?>
                                        <?= $this->Html->link(__('Edit'), ['controller' => 'ProductCategoryVariantOptions', 'action' => 'edit', $productCategoryVariantOption->id]) ?>
                                        <?= $this->Form->postLink(__('Delete'), ['controller' => 'ProductCategoryVariantOptions', 'action' => 'delete', $productCategoryVariantOption->id], ['confirm' => __('Are you sure you want to delete # {0}?', $productCategoryVariantOption->id)]) ?>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                        </table>
                    </div>
                <?php endif; ?>
            </div>

        </div>
    </div>
</div>
